<?xml version='1.0' encoding='iso-8859-1'?>
<xsl:stylesheet
		version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  
  <xsl:template name="i18n.text">
    <xsl:param name="text.name"></xsl:param>
    <xsl:choose>
      <xsl:when test="$output.lang='fr'">
	<xsl:call-template name="i18n.text.fr">
	  <xsl:with-param name="text.name" select="$text.name"/>
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
	<xsl:call-template name="i18n.text.en">
	  <xsl:with-param name="text.name" select="$text.name"/>
	</xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  

  <xsl:template name="i18n.text.en">
    <xsl:param name="text.name"></xsl:param>
    <xsl:choose>
      <xsl:when test="$text.name='content'"><xsl:text>Table of content</xsl:text></xsl:when>
      <xsl:when test="$text.name='table'"><xsl:text>Table: </xsl:text></xsl:when>
      <xsl:when test="$text.name='cesHeader'"><xsl:text>CES header</xsl:text></xsl:when>
      <xsl:when test="$text.name='fileDesc'"><xsl:text>File description</xsl:text></xsl:when>
      <xsl:when test="$text.name='encodingDesc'"><xsl:text>Encoding description</xsl:text></xsl:when>
      <xsl:when test="$text.name='profileDesc'"><xsl:text>Profile description</xsl:text></xsl:when>
      <xsl:when test="$text.name='revisionDesc'"><xsl:text>Revision description</xsl:text></xsl:when>
      <xsl:when test="$text.name='creator'"><xsl:text>Created by: </xsl:text></xsl:when>
      <xsl:when test="$text.name='status'"><xsl:text>Current Status: </xsl:text></xsl:when>
      <xsl:when test="$text.name='date.created'"><xsl:text>Created date: </xsl:text></xsl:when>
      <xsl:when test="$text.name='date.updated'"><xsl:text>Updated date: </xsl:text></xsl:when>
      <xsl:when test="$text.name='h.title'"><xsl:text>Title: </xsl:text></xsl:when>
      <xsl:when test="$text.name='respStmt'"><xsl:text>Responsibility: </xsl:text></xsl:when>
      <xsl:when test="$text.name='editionStmt'"><xsl:text>Edition: </xsl:text></xsl:when>
      <xsl:when test="$text.name='extent'"><xsl:text>Extent: </xsl:text></xsl:when>
      <xsl:when test="$text.name='wordCount'"><xsl:text>words</xsl:text></xsl:when>
      <xsl:when test="$text.name='bytes'"><xsl:text>bytes</xsl:text></xsl:when>
      <xsl:when test="$text.name='kb'"><xsl:text>Kb</xsl:text></xsl:when>
      <xsl:when test="$text.name='mb'"><xsl:text>Mb</xsl:text></xsl:when>
      <xsl:when test="$text.name='gb'"><xsl:text>Gb</xsl:text></xsl:when>
      <xsl:when test="$text.name='publicationStmt'"><xsl:text>Publication: </xsl:text></xsl:when>
      <xsl:when test="$text.name='restricted'"><xsl:text>Restricted</xsl:text></xsl:when>
      <xsl:when test="$text.name='free'"><xsl:text>Free</xsl:text></xsl:when>
      <xsl:when test="$text.name='unknown'"><xsl:text>Unknown</xsl:text></xsl:when>
      <xsl:when test="$text.name='distributor'"><xsl:text>Distributor: </xsl:text></xsl:when>
      <xsl:when test="$text.name='pubAddress'"><xsl:text>&#160;</xsl:text></xsl:when>
      <xsl:when test="$text.name='fax'"><xsl:text>Fax: </xsl:text></xsl:when>
      <xsl:when test="$text.name='telephone'"><xsl:text>Tel: </xsl:text></xsl:when>
      <xsl:when test="$text.name='eAddress'"><xsl:text>&#160;</xsl:text></xsl:when>
      <xsl:when test="$text.name='pubDate'"><xsl:text>Published: </xsl:text></xsl:when>
      <xsl:when test="$text.name='availability'"><xsl:text>Availability: </xsl:text></xsl:when>
      <xsl:when test="$text.name='sourceDesc'"><xsl:text>Source: </xsl:text></xsl:when>
      <xsl:when test="$text.name='projectDesc'"><xsl:text>Project: </xsl:text></xsl:when>
      <xsl:when test="$text.name='samplingDecl'"><xsl:text>Sampling: </xsl:text></xsl:when>
      <xsl:when test="$text.name='editorialDecl'"><xsl:text>Editorial: </xsl:text></xsl:when>
      <xsl:when test="$text.name='conformance'"><xsl:text>Conformance: </xsl:text></xsl:when>
      <xsl:when test="$text.name='correction'"><xsl:text>Correction: </xsl:text></xsl:when>
      <xsl:when test="$text.name='quotation'"><xsl:text>Quotation: </xsl:text></xsl:when>
      <xsl:when test="$text.name='segmentation'"><xsl:text>Segmentation: </xsl:text></xsl:when>
      <xsl:when test="$text.name='hyphenation'"><xsl:text>Hyphenation: </xsl:text></xsl:when>
      <xsl:when test="$text.name='tagsDecl'"><xsl:text>Tags: </xsl:text></xsl:when>
      <xsl:when test="$text.name='langUsage'"><xsl:text>Languages: </xsl:text></xsl:when>
      <xsl:when test="$text.name='wsdUsage'"><xsl:text>WSD: </xsl:text></xsl:when>
      <xsl:when test="$text.name='creation'"><xsl:text>Creation: </xsl:text></xsl:when>
      <xsl:when test="$text.name='textClass'"><xsl:text>Text class: </xsl:text></xsl:when>
      <xsl:when test="$text.name='refsDecl'"><xsl:text>Refs: </xsl:text></xsl:when>
      <xsl:when test="$text.name='translations'"><xsl:text>Translations: </xsl:text></xsl:when>
      <xsl:when test="$text.name='annotations'"><xsl:text>Annotations: </xsl:text></xsl:when>
      <xsl:when test="$text.name='classDecl'"><xsl:text>Classes: </xsl:text></xsl:when>
      <xsl:otherwise>
	<xsl:text>??? </xsl:text>
	<xsl:value-of select="$text.name"/>
	<xsl:text> ???</xsl:text>
	<xsl:message>
	  <xsl:text>Unknown text name passed to i18n.text.en: </xsl:text>
	  <xsl:text>'</xsl:text>
	  <xsl:value-of select="$text.name"/>
	  <xsl:text>'.</xsl:text>
	</xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  
  <xsl:template name="i18n.text.fr">
    <xsl:param name="text.name"></xsl:param>
    <xsl:choose>
      <xsl:when test="$text.name='content'"><xsl:text>Table des matires</xsl:text></xsl:when>
      <xsl:when test="$text.name='table'"><xsl:text>Tableau : </xsl:text></xsl:when>
      <xsl:when test="$text.name='cesHeader'"><xsl:text>Entte CES</xsl:text></xsl:when>
      <xsl:when test="$text.name='fileDesc'"><xsl:text>Description de fichier</xsl:text></xsl:when>
      <xsl:when test="$text.name='encodingDesc'"><xsl:text>Description du codage</xsl:text></xsl:when>
      <xsl:when test="$text.name='profileDesc'"><xsl:text>Description du profile</xsl:text></xsl:when>
      <xsl:when test="$text.name='revisionDesc'"><xsl:text>Description de l'historique</xsl:text></xsl:when>
      <xsl:when test="$text.name='creator'"><xsl:text>Cre par : </xsl:text></xsl:when>
      <xsl:when test="$text.name='status'"><xsl:text>Statut actuel : </xsl:text></xsl:when>
      <xsl:when test="$text.name='date.created'"><xsl:text>Cre le : </xsl:text></xsl:when>
      <xsl:when test="$text.name='date.updated'"><xsl:text>Mis  jour le : </xsl:text></xsl:when>
      <xsl:when test="$text.name='h.title'"><xsl:text>Titre : </xsl:text></xsl:when>
      <xsl:when test="$text.name='respStmt'"><xsl:text>Responsabilits : </xsl:text></xsl:when>
      <xsl:when test="$text.name='editionStmt'"><xsl:text>Edition : </xsl:text></xsl:when>
      <xsl:when test="$text.name='extent'"><xsl:text>Etendu : </xsl:text></xsl:when>
      <xsl:when test="$text.name='wordCount'"><xsl:text>mots</xsl:text></xsl:when>
      <xsl:when test="$text.name='bytes'"><xsl:text>octets</xsl:text></xsl:when>
      <xsl:when test="$text.name='kb'"><xsl:text>Ko</xsl:text></xsl:when>
      <xsl:when test="$text.name='mb'"><xsl:text>Mo</xsl:text></xsl:when>
      <xsl:when test="$text.name='gb'"><xsl:text>Go</xsl:text></xsl:when>
      <xsl:when test="$text.name='publicationStmt'"><xsl:text>Publication : </xsl:text></xsl:when>
      <xsl:when test="$text.name='restricted'"><xsl:text>Restriction</xsl:text></xsl:when>
      <xsl:when test="$text.name='free'"><xsl:text>Libre</xsl:text></xsl:when>
      <xsl:when test="$text.name='unknown'"><xsl:text>Inconnu</xsl:text></xsl:when>
      <xsl:when test="$text.name='distributor'"><xsl:text>Distributeur : </xsl:text></xsl:when>
      <xsl:when test="$text.name='pubAddress'"><xsl:text>&#160;</xsl:text></xsl:when>
      <xsl:when test="$text.name='fax'"><xsl:text>Fax : </xsl:text></xsl:when>
      <xsl:when test="$text.name='telephone'"><xsl:text>Tl : </xsl:text></xsl:when>
      <xsl:when test="$text.name='eAddress'"><xsl:text>&#160;</xsl:text></xsl:when>
      <xsl:when test="$text.name='pubDate'"><xsl:text>Publi le : </xsl:text></xsl:when>
      <xsl:when test="$text.name='availability'"><xsl:text>Disponibilit : </xsl:text></xsl:when>
      <xsl:when test="$text.name='sourceDesc'"><xsl:text>Source : </xsl:text></xsl:when>
      <xsl:when test="$text.name='projectDesc'"><xsl:text>Projet : </xsl:text></xsl:when>
      <xsl:when test="$text.name='samplingDecl'"><xsl:text>Echantillon : </xsl:text></xsl:when>
      <xsl:when test="$text.name='editorialDecl'"><xsl:text>Editorial : </xsl:text></xsl:when>
      <xsl:when test="$text.name='conformance'"><xsl:text>Conformit : </xsl:text></xsl:when>
      <xsl:when test="$text.name='correction'"><xsl:text>Correction : </xsl:text></xsl:when>
      <xsl:when test="$text.name='quotation'"><xsl:text>Quote : </xsl:text></xsl:when>
      <xsl:when test="$text.name='segmentation'"><xsl:text>Segmentation : </xsl:text></xsl:when>
      <xsl:when test="$text.name='hyphenation'"><xsl:text>Traits d'union : </xsl:text></xsl:when>
      <xsl:when test="$text.name='tagsDecl'"><xsl:text>Balisage : </xsl:text></xsl:when>
      <xsl:when test="$text.name='langUsage'"><xsl:text>Langues : </xsl:text></xsl:when>
      <xsl:when test="$text.name='wsdUsage'"><xsl:text>WSD : </xsl:text></xsl:when>
      <xsl:when test="$text.name='creation'"><xsl:text>Creation : </xsl:text></xsl:when>
      <xsl:when test="$text.name='textClass'"><xsl:text>Classe textuelle : </xsl:text></xsl:when>
      <xsl:when test="$text.name='refsDecl'"><xsl:text>Refs : </xsl:text></xsl:when>
      <xsl:when test="$text.name='translations'"><xsl:text>Traductions : </xsl:text></xsl:when>
      <xsl:when test="$text.name='annotations'"><xsl:text>Annotations : </xsl:text></xsl:when>
      <xsl:when test="$text.name='classDecl'"><xsl:text>Classes : </xsl:text></xsl:when>
      <xsl:otherwise>
	<xsl:text>??? </xsl:text>
	<xsl:value-of select="$text.name"/>
	<xsl:text> ???</xsl:text>
	<xsl:message>
	  <xsl:text>Etiquette inconnue passe  i18n.text.fr : </xsl:text>
	  <xsl:text>'</xsl:text>
	  <xsl:value-of select="$text.name"/>
	  <xsl:text>'.</xsl:text>
	</xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  
  <xsl:template name="i18n.text.type">
    <xsl:param name="element.type" select="@type"/>
    <xsl:param name="element.name" select="name(.)"/>
    <xsl:choose>
      <xsl:when test="$output.lang='fr'">
	<xsl:call-template name="i18n.text.type.fr">
	  <xsl:with-param name="element.type" select="$element.type"/>
	  <xsl:with-param name="element.name" select="$element.name"/>
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
	<xsl:call-template name="i18n.text.type.en">
	  <xsl:with-param name="element.type" select="$element.type"/>
	  <xsl:with-param name="element.name" select="$element.name"/>
	</xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


  <xsl:template name="i18n.text.type.en">
    <xsl:param name="element.type" select="@type"/>
    <xsl:param name="element.name" select="name(.)"/>
    <xsl:choose>
      <xsl:when test="$element.type='abstract'">Abstract</xsl:when>
      <xsl:when test="$element.type='appendix'">Appendix</xsl:when>
      <xsl:when test="$element.type='bibliography'">Bibliography</xsl:when>
      <xsl:when test="$element.type='reference'">Reference</xsl:when>
      <xsl:when test="$element.type='part'">Part</xsl:when>
      <xsl:when test="$element.type='chapter'">Chapter</xsl:when>
      <xsl:when test="$element.type='section'">Section</xsl:when>
      <xsl:when test="$element.type='subsection'">Subsection</xsl:when>
      <xsl:when test="$element.type='index'">Index</xsl:when>
      <xsl:when test="$element.type='toc'">Table of Contents</xsl:when>
      <xsl:otherwise>
	<xsl:text>??? </xsl:text>
	<xsl:value-of select="$element.name"/>
	<xsl:text> ???</xsl:text>
	<xsl:message>
	  <xsl:text>Unknown element type passed to i18n.text.type.en: </xsl:text>
	  <xsl:text>'</xsl:text>
	  <xsl:value-of select="$element.name"/>
	  <xsl:text>' </xsl:text>
	  <xsl:text>with type </xsl:text>
	  <xsl:text>'</xsl:text>
	  <xsl:value-of select="$element.type"/>
	  <xsl:text>'</xsl:text>
	</xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  

  <xsl:template name="i18n.text.type.fr">
    <xsl:param name="element.type" select="@type"/>
    <xsl:param name="element.name" select="name(.)"/>
    <xsl:choose>
      <xsl:when test="$element.type='abstract'">rsum</xsl:when>
      <xsl:when test="$element.type='appendix'">Annexe</xsl:when>
      <xsl:when test="$element.type='bibliography'">Bibliographie</xsl:when>
      <xsl:when test="$element.type='reference'">Rfrences</xsl:when>
      <xsl:when test="$element.type='part'">Partie</xsl:when>
      <xsl:when test="$element.type='chapter'">Chaptitre</xsl:when>
      <xsl:when test="$element.type='section'">Section</xsl:when>
      <xsl:when test="$element.type='subsection'">Sous-section</xsl:when>
      <xsl:when test="$element.type='index'">Index</xsl:when>
      <xsl:when test="$element.type='toc'">Table des matires</xsl:when>
      <xsl:otherwise>
	<xsl:text>??? </xsl:text>
	<xsl:value-of select="$element.name"/>
	<xsl:text> ???</xsl:text>
	<xsl:message>
	  <xsl:text>Type d'lment inconnu pass  i18n.text.type.fr: </xsl:text>
	  <xsl:text>'</xsl:text>
	  <xsl:value-of select="$element.name"/>
	  <xsl:text>' </xsl:text>
	  <xsl:text>de type </xsl:text>
	  <xsl:text>'</xsl:text>
	  <xsl:value-of select="$element.type"/>
	  <xsl:text>'</xsl:text>
	</xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  

  <xsl:template name="i18n.cesHeader.name">
    <xsl:param name="element.name" select="name(.)"/>
    <xsl:choose>
      <xsl:when test="$output.lang='fr'">
	<xsl:call-template name="i18n.cesHeader.name.fr">
	  <xsl:with-param name="element.name" select="$element.name"/>
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
	<xsl:call-template name="i18n.cesHeader.name.en">
	  <xsl:with-param name="element.name" select="$element.name"/>
	</xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  

  <xsl:template name="i18n.cesHeader.name.en">
    <xsl:param name="element.name" select="name(.)"/>
    <xsl:choose>
      <xsl:when test="$element.name='fileDesc'"><xsl:text>File description</xsl:text></xsl:when>
      <xsl:when test="$element.name='encodingDesc'"><xsl:text>Encoding description</xsl:text></xsl:when>
      <xsl:otherwise>
	<xsl:text>??? </xsl:text>
	<xsl:value-of select="$element.name"/>
	<xsl:text> ???</xsl:text>
	<xsl:message>
	  <xsl:text>Unknown element name passed to i18n.cesHeader.name.en: </xsl:text>
	  <xsl:text>'</xsl:text>
	  <xsl:value-of select="$element.name"/>
	  <xsl:text>'.</xsl:text>
	</xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  

  <xsl:template name="i18n.cesHeader.name.fr">
    <xsl:param name="element.name" select="name(.)"/>
    <xsl:choose>
      <xsl:when test="$element.name='fileDesc'"><xsl:text>Description du fichier</xsl:text></xsl:when>
      <xsl:when test="$element.name='encodingDesc'"><xsl:text>Description du codage</xsl:text></xsl:when>
      <xsl:otherwise>
	<xsl:text>??? </xsl:text>
	<xsl:value-of select="$element.name"/>
	<xsl:text> ???</xsl:text>
	<xsl:message>
	  <xsl:text>Nom d'lment inconnu pass  i18n.cesHeader.name.fr : </xsl:text>
	  <xsl:text>'</xsl:text>
	  <xsl:value-of select="$element.name"/>
	  <xsl:text>'.</xsl:text>
	</xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  

</xsl:stylesheet>

<!-- Keep this comment at the end of the file
Local variables:
mode: xml
sgml-always-quote-attributes:t
sgml-indent-step:2
sgml-indent-data:t
sgml-default-dtd-file:"/local/led/share/dtd/xsl/xsl.ced"
End:
-->
